CUDA_MEMCPY3D_PEER(3)

NAME
CUDA_MEMCPY3D_PEER -

SYNOPSIS

  Data Fields

CUarray dstArray
CUcontext dstContext
CUdeviceptr dstDevice
size_t dstHeight
void * dstHost
CUmemorytype dstMemoryType
size_t dstPitch
size_t dstXInBytes
CUarray srcArray
CUcontext srcContext
CUdeviceptr srcDevice
size_t srcHeight
const void * srcHost
CUmemorytype srcMemoryType
size_t srcPitch
size_t srcXInBytes
size_t WidthInBytes

Detailed Description

3D memory cross-context copy parameters

Field Documentation

  CUarray CUDA_MEMCPY3D_PEER::dstArray

Destination array reference

  CUcontext CUDA_MEMCPY3D_PEER::dstContext

Destination context (ignored with dstMemoryType is CU_MEMORYTYPE_ARRAY)

  CUdeviceptr CUDA_MEMCPY3D_PEER::dstDevice

Destination device pointer

  size_t CUDA_MEMCPY3D_PEER::dstHeight

Destination height (ignored when dst is array; may be 0 if Depth==1)

  void* CUDA_MEMCPY3D_PEER::dstHost

Destination host pointer

  CUmemorytype CUDA_MEMCPY3D_PEER::dstMemoryType

Destination memory type (host, device, array)

  size_t CUDA_MEMCPY3D_PEER::dstPitch

Destination pitch (ignored when dst is array)

  size_t CUDA_MEMCPY3D_PEER::dstXInBytes

Destination X in bytes

  CUarray CUDA_MEMCPY3D_PEER::srcArray

Source array reference

  CUcontext CUDA_MEMCPY3D_PEER::srcContext

Source context (ignored with srcMemoryType is CU_MEMORYTYPE_ARRAY)

  CUdeviceptr CUDA_MEMCPY3D_PEER::srcDevice

Source device pointer

  size_t CUDA_MEMCPY3D_PEER::srcHeight

Source height (ignored when src is array; may be 0 if Depth==1)

  const void* CUDA_MEMCPY3D_PEER::srcHost

Source host pointer

  CUmemorytype CUDA_MEMCPY3D_PEER::srcMemoryType

Source memory type (host, device, array)

  size_t CUDA_MEMCPY3D_PEER::srcPitch

Source pitch (ignored when src is array)

  size_t CUDA_MEMCPY3D_PEER::srcXInBytes

Source X in bytes

  size_t CUDA_MEMCPY3D_PEER::WidthInBytes

Width of 3D memory copy in bytes

Author

Generated automatically by Doxygen from the source code.